瀏覽代碼

add autopkgtest

Michael Vogt 12 年之前
父節點
當前提交
fdef7c5e3a
共有 3 個文件被更改,包括 10 次插入0 次删除
  1. 1 0
      debian/control
  2. 2 0
      debian/tests/control
  3. 7 0
      debian/tests/run-tests

+ 1 - 0
debian/control

@@ -13,6 +13,7 @@ Build-Depends-Indep: doxygen, debiandoc-sgml
 Build-Conflicts: autoconf2.13, automake1.4
 Vcs-Git: git://anonscm.debian.org/apt/apt.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=apt/apt.git
+XS-Testsuite: autopkgtest
 
 Package: apt
 Architecture: any

+ 2 - 0
debian/tests/control

@@ -0,0 +1,2 @@
+Tests: run-tests
+Depends: @, dpkg-dev, debhelper, libdb-dev, gettext, libcurl4-gnutls-dev, zlib1g-dev, libbz2-dev, xsltproc, docbook-xsl, docbook-xml, po4a, autotools-dev, autoconf, automake, doxygen, debiandoc-sgml, stunnel4

+ 7 - 0
debian/tests/run-tests

@@ -0,0 +1,7 @@
+#!/bin/sh
+
+set -e
+
+make
+make test
+test/integration/run-tests